<template>
  <section class="purpose">

    <h2 class="purpose__title">
      <strong>Помещения</strong> для разных специалистов
    </h2>

    <div class="purpose__items">
      <div v-for="item in purposeItems"
           :key="item.icon"
           class="purpose__item"
           :style="{'background-image': `url(/images/icon-${item.icon}.svg)`}"
           v-html="item.purpose"
      >
      </div>
    </div>

  </section>
</template>

<script>
  export default {
    name: 'Purpose',
    props: {
      purposeItems: {
        type: Array,
        required: true
      },
    },
    data: () => ({
    }),
  }
</script>

<style lang="scss">
  @import '~assets/scss/variables.scss';
  @import '~assets/scss/mixins.scss';

  .purpose {
    margin-top: rem(80);
    margin-bottom: rem(10);

    @media (max-width: $mobile-width) {
      margin-top: rem(56);
    }

    &__title {
      @include h3;

      margin-bottom: rem(50);
      color: $dark-gray;

      strong {
        font-weight: inherit;
        color: $black;
      }

      @media (max-width: $mobile-width) {
        margin-bottom: rem(32);
      }
    }

    &__items {
      display: flex;
      align-items: center;

      @media (max-width: $mobile-width) {
        flex-flow: column;
        align-items: flex-start;
      }
    }

    &__item {
      @include bold-black-link;

      & + & {
        margin-left: rem(48);
      }

      flex: 0 0 calc(25% - 2.25rem);
      width: calc(25% - 2.25rem);

      padding-left: rem(70);

      background-position: left top;
      background-repeat: no-repeat;
      background-size: rem(50) rem(40);

      @media (max-width: $mobile-width) {
        & + & {
          margin-top: rem(24);
          margin-left: 0;
        }

        flex-basis: auto;
        display: flex;
        align-items: center;
        width: 100%;
        height: rem(46);

        background-position: left center;
      }
    }
  }
</style>
